# -*- rpm-spec -*-
# $Id: tcl-vfs,v 1.7 2003/06/28 13:28:17 lioka Exp $

%define teaname vfs
%define cvsdate 20030616

Name: tcl-%teaname
Version: 1.2
Release: alt2

Summary: A TCL virtual file system extension
License: BSD
Group: Development/Tcl
Url: http://tclvfs.sourceforge.net/

BuildPreReq: tcl-devel >= 8.4.0-alt1
Requires: tcl >= 8.4.0-alt1 tcllib >= 1.3-alt3

Source: %name-%{?cvsdate:%cvsdate}%{!?cvsdate:%version}.tar.bz2

%description
This is an implementation of a 'vfs' extension (and a 'vfs' package,
including a small library of Tcl code).  The goal of this extension
is to expose Tcl 8.4's new filesystem C API to the Tcl level.
See also http://mini.net/tcl/vfs .

It is recommended to install tcl-trf and tcl-memchan packages also.

%prep
%setup -q %{?cvsdate:-c}
%tea_patch

%build
%configure
%make_build

%install
%makeinstall pkgdatadir=%buildroot%_tcldatadir/%teaname%version
%__sed 's|\(\$dir \)\(lib%teaname%version.so\)|\1.. .. .. lib tcl \2|' \
 < %buildroot%_tcllibdir/pkgIndex.tcl \
 > %buildroot%_tcldatadir/%teaname%version/pkgIndex.tcl
%__mkdir_p %buildroot%_tcldatadir/http2.6
%__install -p -m0644 http2.6/*.tcl %buildroot%_tcldatadir/http2.6
%__install -p -m0644 http2.6/http.n %buildroot%_mandir/mann/http2.6.n

%files
%doc Readme.txt examples/*.tcl license.terms
%_tcllibdir/lib%teaname%version.so
%_tcldatadir/%teaname%version
%_tcldatadir/http2.6
%_mandir/mann/*

%changelog
* Sat Jun 28 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.2-alt2
- CVS snapshot @ 20030616

* Sat Jun  7 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.2-alt1
- CVS snapshot @ 20030516

* Tue Oct  8 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.0-alt1
- CVS snapshot @ 20020925

